<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XSipRealm StructType
 * @subpackage Structs
 */
class XSipRealm extends AbstractStructBase
{
    /**
     * The realm
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $realm;
    /**
     * The userid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $userid;
    /**
     * The digestCredentials
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $digestCredentials;
    /**
     * Constructor method for XSipRealm
     * @uses XSipRealm::setRealm()
     * @uses XSipRealm::setUserid()
     * @uses XSipRealm::setDigestCredentials()
     * @param string $realm
     * @param string $userid
     * @param string $digestCredentials
     */
    public function __construct($realm = null, $userid = null, $digestCredentials = null)
    {
        $this
            ->setRealm($realm)
            ->setUserid($userid)
            ->setDigestCredentials($digestCredentials);
    }
    /**
     * Get realm value
     * @return string
     */
    public function getRealm()
    {
        return $this->realm;
    }
    /**
     * Set realm value
     * @param string $realm
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSipRealm
     */
    public function setRealm($realm = null)
    {
        $this->realm = $realm;
        return $this;
    }
    /**
     * Get userid value
     * @return string
     */
    public function getUserid()
    {
        return $this->userid;
    }
    /**
     * Set userid value
     * @param string $userid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSipRealm
     */
    public function setUserid($userid = null)
    {
        $this->userid = $userid;
        return $this;
    }
    /**
     * Get digestCredentials value
     * @return string
     */
    public function getDigestCredentials()
    {
        return $this->digestCredentials;
    }
    /**
     * Set digestCredentials value
     * @param string $digestCredentials
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSipRealm
     */
    public function setDigestCredentials($digestCredentials = null)
    {
        $this->digestCredentials = $digestCredentials;
        return $this;
    }
}
